11.0

Differences between revisions 2 and 3
Revision 2 as of 2012-01-20 13:08:44
Size: 3569
Comment:
Revision 3 as of 2012-02-01 16:11:17
Size: 3669
Comment:
Deletions are marked like this. Additions are marked like this.
Line 16: Line 16:
|| '''thunderbird-eds-extensions''' ||<bgcolor="#505050"> ||<bgcolor="#505050"> ||<bgcolor="#505050"> || || ||
|| '''messagingmenu-extension''' ||<bgcolor="#505050"> ||<bgcolor="#505050"> ||<bgcolor="#505050"> || || ||
|| '''thunderbird-eds-extensions''' ||<bgcolor="#505050"> ||<bgcolor="#505050"> ||<bgcolor="#505050"> ||<bgcolor="lightgreen"> OK ||<bgcolor="lightgreen"> OK ||
|| '''messagingmenu-extension''' ||<bgcolor="#505050"> ||<bgcolor="#505050"> ||<bgcolor="#505050"> ||<bgcolor="lightgreen"> OK ||<bgcolor="lightgreen"> OK ||

Firefox and Thunderbird upgrade checklist

Legend

OK

Compatible, no update needed

UPDATED

Compatibility update required. Update is hosted already in beta PPA

NEEDS-UPDATE

Compatibility update required

Bundled extension refreshes

Firefox

Extension

Lucid

Maverick

Natty

Oneiric

Precise

globalmenu-extension

NEEDS-UPDATE

NEEDS-UPDATE

NEEDS-UPDATE

Thunderbird

Extension

Lucid

Maverick

Natty

Oneiric

Precise

globalmenu-extension

NEEDS-UPDATE

NEEDS-UPDATE

NEEDS-UPDATE

thunderbird-eds-extensions

OK

OK

messagingmenu-extension

OK

OK

Extension package refreshes

Starting with Firefox 10, these extensions don't enforce strict compatibility. However, their functionality should be checked and a compatibility update provided where required

Package

Lucid

Maverick

Natty

Oneiric

Precise

moz-gnome-pm

NEEDS-UPDATE

NEEDS-UPDATE

mozvoikko

thunderbird-couchdb

ubufox

webfav

These extensions contain binary components. At a minimum, they need a rebuild and compatibility version bump

Package

Lucid

Maverick

Natty

Oneiric

Precise

enigmail

NEEDS-UPDATE

NEEDS-UPDATE

NEEDS-UPDATE

NEEDS-UPDATE

NEEDS-UPDATE

lightning-extension

NEEDS-UPDATE

NEEDS-UPDATE

NEEDS-UPDATE

NEEDS-UPDATE

Plugin checks

These packages provide NPAPI plugins. They don't need rebuilding, and this list is here as a reminder to check that they work

Package

Lucid

Maverick

Natty

Oneiric

packagekit

parole

djvulibre

gecko-mediaplayer

gnome-chemistry-utils

gxine

kaffeine-mozilla

kdenetwork

gtk-vnc

libreoffice

moon

openoffice

opensc

vlc

virt-viewer

mozplugger

rhythmbox

totem

xine-plugin

Notes

MozillaTeam/FirefoxUpgradeChecklist/11.0 (last edited 2012-02-07 13:51:17 by chrisccoulson)